Subject: gnome-shell: Audio device selection

From: Carlo Marchiori <[email-masked]>
Date: Sun, 13 May 2018 09:02:01 +0200

Package: gnome-shell
Version: 3.28.0-1+b1
Severity: normal

Dear Maintainer,

unplugging an HDMI device leaves the system in a state in which the device
presence is not reported anymore in Settings -> Sound, yet the system doesn't
switch to the computer built-in audio (sound card) and, besides, it is not
possible to perform this switch from Settings -> Sound.
It is necessary to have another sound device presence to get back to the
computer built-in device for sound output.

I would expect to system to switch to and from external HDMI output
automatically as it is done for video. If not possible I would at least expect
the possibility to force built-in audio as sound device once the HDMI external
device gets disconnected.

As a side note, my opinion is that if the switch isn't handled automatically,
then it's not handy enough to have to open Settings -> Sound to perform it (I
compare the situation to the video switch which is finely handled using
function keys).

Best Regards, Carlo.

Best Regards,
Carlo.

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.16.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages gnome-shell depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.28.0-2
ii  evolution-data-server                        3.28.1-1
ii  gir1.2-accountsservice-1.0                   0.6.45-1
ii  gir1.2-atspi-2.0                             2.28.0-2
ii  gir1.2-freedesktop                           1.56.1-1
ii  gir1.2-gcr-3                                 3.28.0-1
ii  gir1.2-gdesktopenums-3.0                     3.28.0-1
ii  gir1.2-gdm-1.0                               3.28.1-1
ii  gir1.2-geoclue-2.0                           2.4.7-1
ii  gir1.2-glib-2.0                              1.56.1-1
ii  gir1.2-gnomebluetooth-1.0                    3.28.0-2
ii  gir1.2-gnomedesktop-3.0                      3.28.1-1
ii  gir1.2-gtk-3.0                               3.22.29-3
ii  gir1.2-gweather-3.0                          3.28.1-1
ii  gir1.2-ibus-1.0                              1.5.18-1
ii  gir1.2-mutter-2                              3.28.1-2
ii  gir1.2-nm-1.0                                1.10.6-3
ii  gir1.2-nma-1.0                               1.8.10-5
ii  gir1.2-pango-1.0                             1.42.0-1
ii  gir1.2-polkit-1.0                            0.105-20
ii  gir1.2-rsvg-2.0                              2.40.20-2
ii  gir1.2-soup-2.4                              2.62.1-1
ii  gir1.2-upowerglib-1.0                        0.99.7-2
ii  gjs                                          1.52.2-1
ii  gnome-backgrounds                            3.28.0-1
ii  gnome-settings-daemon                        3.28.1-1
ii  gnome-shell-common                           3.28.0-1
ii  gsettings-desktop-schemas                    3.28.0-1
ii  libatk-bridge2.0-0                           2.26.2-1
ii  libatk1.0-0                                  2.28.1-1
ii  libc6                                        2.27-3
ii  libcairo2                                    1.15.10-3
ii  libcanberra-gtk3-0                           0.30-6
ii  libcanberra0                                 0.30-6
ii  libcroco3                                    0.6.12-2
ii  libecal-1.2-19                               3.28.1-1
ii  libedataserver-1.2-23                        3.28.1-1
ii  libgcr-base-3-1                              3.28.0-1
ii  libgdk-pixbuf2.0-0                           2.36.11-2
ii  libgirepository-1.0-1                        1.56.1-1
ii  libgjs0g [libgjs0-libmozjs-52-0]             1.52.2-1
ii  libglib2.0-0                                 2.56.1-2
ii  libglib2.0-bin                               2.56.1-2
ii  libgstreamer1.0-0                            1.14.0-1
ii  libgtk-3-0                                   3.22.29-3
ii  libical3                                     3.0.1-5
ii  libjson-glib-1.0-0                           1.4.2-4
ii  libmutter-2-0                                3.28.1-2
ii  libnm0                                       1.10.6-3
ii  libpango-1.0-0                               1.42.0-1
ii  libpangocairo-1.0-0                          1.42.0-1
ii  libpolkit-agent-1-0                          0.105-20
ii  libpolkit-gobject-1-0                        0.105-20
ii  libpulse-mainloop-glib0                      11.1-5
ii  libpulse0                                    11.1-5
ii  libsecret-1-0                                0.18.6-1
ii  libstartup-notification0                     0.12-5
ii  libsystemd0                                  238-4
ii  libx11-6                                     2:1.6.5-1
ii  libxfixes3                                   1:5.0.3-1
ii  mutter                                       3.28.1-2
ii  python3                                      3.6.4-1

Versions of packages gnome-shell recommends:
ii  chrome-gnome-shell    9-1
ii  gdm3                  3.28.1-1
ii  gkbd-capplet          3.26.0-3
ii  gnome-control-center  1:3.28.1-1
ii  gnome-user-docs       3.28.1-1
ii  iio-sensor-proxy      2.4-2
ii  switcheroo-control    1.2-1
ii  unzip                 6.0-21

Versions of packages gnome-shell suggests:
pn  gir1.2-telepathyglib-0.12   <none>
pn  gir1.2-telepathylogger-0.2  <none>

-- no debconf information